from selenium.webdriver.support.select import Select
from selenium.webdriver.support.wait import WebDriverWait

from Util.Util import DriverUtils


# from common.utils import DriverTools


class BasePage:
    def __init__(self):
        self.driver = DriverUtils.get_web_driver()

    # 查找元素
    def find_el(self, loc, time=10, fre=0.5):
        ele = WebDriverWait(self.driver, time, fre).until(lambda x: x.find_element(*loc))
        return ele

    # 输入文本内容
    def input_text(self, loc, value):
        # 定义该元素对于的文本
        ele = self.find_el(loc)
        # 先清空
        ele.clear()
        # 再输入
        ele.send_keys(value)

    # 滚动条
    def scroll(self, x, y):
        # 横着滚动调整x值，竖着滚动调整y值
        js = "window,scroll({},{})".format(x, y)
        self.driver.execute_script(js)

    # 下拉框选择
    def select_text(self, loc, text):
        # 定位该下拉框对应的元素
        ele = self.find_el(loc)
        # 实例化Select对象
        sle = Select(ele)
        # 调用select选择方法
        sle.select_by_visible_text(text)

